### Method

# FwupdPlugin Hwids get_replace_values

since: 0.9.3

#### Declaration [src]

    gchar*
    fu_hwids_get_replace_values (
      FuHwids* self,
      const gchar* keys,
      GError** error
    )

#### Description [src]

Gets the replacement values for a HardwareID key or plain key.

Available since: 0.9.3

#### Parameters

`keys`

  Type: `const gchar*`

  A key, e.g. `HardwareID-3` or `FU_HWIDS_KEY_PRODUCT_SKU`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string, e.g. `LENOVO&ThinkPad T440s`, or `NULL` for error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.